mikeybaby173 mikeybaby173 - 6 months ago 21x
Javascript Question

Protractor error message "unsupported command-line flag" in Chrome?

I'm a new user to Protractor, and I encountered this error running my tests using Chrome (error displays beneath the address bar in the launched browser):

You are using an unsupported command-line flag --ignore-certificate-errors. Stability and security will suffer.

Here is my conf.js for Protractor:

exports.config = {

seleniumAddress: 'http://localhost:4444/wd/hub',
capabilities: {
'browserName': 'chrome'


Also, I am using a Mac with the latest available Chromedriver and Selenium standalone server (2.41.0). Now, I haven't set this flag anywhere, and I don't recall it always displaying so I'm not sure what caused this problem.

Any ideas on how to resolve this issue?


If you use Protractor, this is probably the configuration you're looking for:

capabilities : {
    browserName : 'chrome',
    'chromeOptions': {
        args: ['--test-type']